=== tools/Makefile ===

all:	errmsg	dmake

errmsg:	errmsg.cpp
	g++ -Wall -pedantic -o errmsg errmsg.cpp

dmake:	dmake.cpp
	g++ -Wall -pedantic -o dmake dmake.cpp ../lib/filelister.cpp ../lib/filelister_unix.cpp
