=== debian/changelog ===
cppcheck (1.44-1) unstable; urgency=low

  * New upstream release
  * Zachary Blair and Martin Ettl added to copyright file
  * control: Standars-version changed 3.8.4 -> 3.9.0
  * Remove patch debian-changes-1.43-3, because applied to upstream

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Tue, 13 Jul 2010 16:24:55 +0300

cppcheck (1.43-3) unstable; urgency=low

  * Remove --auto-dealloc and --all from man page
  * Switch to dpkg-source 3.0 (quilt) format

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 10 May 2010 22:19:46 +0300

cppcheck (1.43-2) unstable; urgency=low

  * Remove --enable=possibleError from man page

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 10 May 2010 21:38:46 +0300

cppcheck (1.43-1) unstable; urgency=low

  * New upstream release
  * False positive fixed. Closes: #546605

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 09 May 2010 21:34:22 +0300

cppcheck (1.42-1) unstable; urgency=low

  * New upstream release

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Fri, 12 Mar 2010 22:06:09 +0200

cppcheck (1.41-2) unstable; urgency=low

  * copyright: update years
  * copyright: Robert Reif added

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 07 Mar 2010 22:24:20 +0200

cppcheck (1.41-1) unstable; urgency=low

  * New upstream release
  * control: Descriptions rewritten
  * control: Standars-version changed 3.8.3 -> 3.8.4
  * False positive resource leak fixed. Closes: #566604
  * Package description improved. Closes: #567759

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 07 Mar 2010 21:25:03 +0200

cppcheck (1.40-1) unstable; urgency=low

  * New upstream release
  * control: Long description updated
  * control: Added misc:Depends

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 18 Jan 2010 23:15:55 +0200

cppcheck (1.39-1) unstable; urgency=low

  * New upstream release
  * False positive with resource leak fixed. Closes: #554448

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 06 Dec 2009 16:20:47 +0200

cppcheck (1.38-1) unstable; urgency=low

  * New upstream release
  * False positive with resource leak fixed. Closes: #550793
  * control: Long description, added Exception safety

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 25 Oct 2009 15:31:26 +0200

cppcheck (1.37-1) unstable; urgency=low

  * New upstream release
  * control: Standars-version changed 3.8.1 -> 3.8.2
  * control: Long description, unusal -> unusual
  * control: Long description, removed the "We recommend" sentence.
  * False positive with memset fixed. Closes: #544591
  * False positive with resource leak fixed. Closes: #542352

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Tue, 22 Sep 2009 23:10:56 +0300

cppcheck (1.35-1) unstable; urgency=low

  * New upstream release
  * False positive fixed. Closes: #539626
  * Infinite loop fixed. Closes: #537362
  * Several "invalid number of character" fixes. Closes: #532820

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 16 Aug 2009 18:37:26 +0300

cppcheck (1.34-1) unstable; urgency=low

  * New upstream release
  * control: Standars-version changed 3.8.1 -> 3.8.2
  * control: Description changed: "A tool" -> "Tool"
  * control: Long description rewritten to reflect upstream wiki

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 12 Jul 2009 22:01:52 +0300

cppcheck (1.33-1) unstable; urgency=low

  * New upstream release
  * control: Feature list updated to reflect current status
  * copyright: new developer added, Bill Egert
  * copyright: new developer added, Hoang Tuan Su
  * copyright: new developer added, Slava Semushin
  * docs: AUTHORS file was added (from upstream)
  * Upstream changelog was added
  * Segmentation fault fixed. Closes: #528981

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 07 Jun 2009 19:06:36 +0300

cppcheck (1.32-1) unstable; urgency=low

  * New upstream release
  * control: Feature list updated to reflect current status

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 10 May 2009 21:45:52 +0300

cppcheck (1.31-1) unstable; urgency=low

  * New upstream release
  * control: Standards-version from 3.8.0 to 3.8.1
  * copyright: new developer added, Nguyen Duong Tuan
  * copyright: new developer added, Gianluca Scacco
  * control: Feature list updated to reflect current status
 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 12 Apr 2009 22:12:33 +0300

cppcheck (1.30-1) unstable; urgency=low

  * New upstream release

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 08 Mar 2009 21:09:53 +0200

cppcheck (1.29-1) unstable; urgency=low

  * New upstream release
  * copyright: new developer added, Vesa Pikki
  * copyright: Year 2009 added to man page copyright
  * control: Feature list updated to reflect current status

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 02 Mar 2009 21:30:02 +0200

cppcheck (1.28-2) unstable; urgency=low

  * rules: changed dh_clean -k to dh_prep
  * copyright: use Use GPL-3 and GPL-2 files instead of GPL
  * control: Updated description to reflect current status

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 02 Feb 2009 21:55:02 +0200

cppcheck (1.28-1) unstable; urgency=low

  * New upstream release
  * Now also processes .c++ files. Closes: #512060
  * Doesn't give false positive with streams. Closes: #512141
  * Leandro Penz added to the copyright file
  * Kimmo Varis added to the copyright file

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 01 Feb 2009 10:32:30 +0200

cppcheck (1.27-2) unstable; urgency=low

  * Nicolas Le Cam added to the copyright file

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Tue, 30 Dec 2008 22:59:49 +0200

cppcheck (1.27-1) unstable; urgency=low

  * New upstream release
  * Removed man page from debian/, using upstream version instead
  * rules-file updated to use man page that comes with the upstream release
  * README.Debian-file removed (nothing is customized anymore) 


