=== debian/changelog ===
cppcheck (1.47-4) unstable; urgency=low

  * 3rd try fixing FTBFS in multiple architectures. Closes: #613308

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Tue, 22 Feb 2011 21:53:00 +0200

cppcheck (1.47-3) unstable; urgency=low

  * 2nd try fixing FTBFS in multiple architectures. Closes: #613308

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Thu, 17 Feb 2011 22:45:08 +0200

cppcheck (1.47-2) unstable; urgency=low

  * Fix FTBFS in multiple architectures. Closes: #613308

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 14 Feb 2011 22:28:10 +0200

cppcheck (1.47-1) unstable; urgency=low

  * New upstream release
  * Default value for --enable described in manual. Closes: #599190
  * False positive fixed: Function pointer returning typedef. Closes: #607312
  * 0X10 number handling fixed. Closes: #608002
  * False positive fixed: Memory leak. Closes: #609354
  * Build time dependency added: libpcre3-dev
  * Add tinyxml to copyright file
  * control: Standars-version changed 3.9.0 -> 3.9.1
  * Apply following patches from Peter Pentchev:
    - Use DEP-5 rev. 135 for the copyright file format.
    - Honor the C preprocessor flags in CPPFLAGS.
    - Use dpkg-buildflags to obtain the default CPPFLAGS, CXXFLAGS and LDFLAGS.
    - Use build hardening unless the "nohardening" build option is specified.
    - Use the dh(1) helper.
    - Split dh_* arguments into separate files to simplify the build.
    - Use debhelper override rules.
    - Bump the debhelper compat level to 8 with no changes.
    - Update to DEP 5 rev. 166 use single copyright header
    - Bump the upstream copyright years

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 06 Feb 2011 20:20:48 +0200
