=== debian/changelog ===
cppcheck (1.48-1) unstable; urgency=low

  * New upstream release
  * control: build-depend: libtinyxml-dev
  * rules: libtinyxml instead of embedded tinyxml, add -DHAVE_RULES cxx flag
  * patches: removed, as included in the new version

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Mon, 11 Apr 2011 21:15:03 +0300
