=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Reijo Tomperi <aggro80@users.sourceforge.net>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl, docbook-xml, hardening-includes, libpcre3-dev
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl, docbook-xml, hardening-includes, libpcre3-dev, libtinyxml-dev
 Standards-Version: 3.9.1
 Homepage: http://cppcheck.wiki.sourceforge.net/
